package com.engine.organization.mapper.personnelcard;

import com.engine.organization.entity.personnelcard.po.CardButtonPO;
import org.apache.ibatis.annotations.Param;

import java.util.Collection;
import java.util.List;

/**
 * @Author weaver_cl
 * @Description:
 * @Date 2022/10/24
 * @Version V1.0
 **/
public interface CardButtonMapper {

    List<CardButtonPO> listAll();


    List<CardButtonPO> listEnableButton();

    List<Long> listAllId();

    int deleteByIds(@Param("ids")Collection<Long> ids);

    CardButtonPO getEditButton();
}
